/************************************************************
* This file is part of the XDN Router project.
*
* XDN Router is a packet routing device to be used with
* a local XDN (XBee Distributed Network) configuration.
* It supports both core and edge routing modes.
* Copyright (C) 2008 Adam Shapiro, Cornell University
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
************************************************************/
/** \file
 * \brief Endian helper functions.
 *
 * This file contains helper functions for switching
 * between big and little endian. All network data is
 * big endian, AVRs are a little endian architecture.
 */

#include "endian.h"

inline void EndianSwap_16(uint16_t* value)
{
    uint8_t lo=(*value)&0xFF;
    *value=(lo<<8) | ((*value>>8)&0xFF);
}
