/************************************************************
* This file is part of the XDN Router project.
*
* XDN Router is a packet routing device to be used with
* a local XDN (XBee Distributed Network) configuration.
* It supports both core and edge routing modes.
* Copyright (C) 2008 Adam Shapiro, Cornell University
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
************************************************************/
/** \file
 * \brief Number of interfaces definition.
 *
 * This file defines the number of available network
 * interfaces for the device. Its contents are used by
 * the underlying XDN code, but may also be used by
 * users with caution. Do not modify this file.
 */

#ifndef __link_interfaces_h__
#define __link_interfaces_h__

#include <avr/io.h>

#ifdef _AVR_IOMXX4_H_
#define AVR_NUM_INTERFACES 2
#else
#define AVR_NUM_INTERFACES 1
#endif

#endif
